github_document {rmarkdown} | R Documentation

## Convert to GitHub Flavored Markdown

### Description

Format for converting from R Markdown to GitHub Flavored Markdown.

### Usage

    github_document(toc = FALSE, toc_depth = 3, fig_width = 7,
      fig_height = 5, dev = "png", df_print = "default", includes = NULL,
      md_extensions = NULL, hard_line_breaks = TRUE, pandoc_args = NULL,
      html_preview = TRUE)

### Arguments

`toc` | `TRUE` to include a table of contents in the output
`toc_depth` | Depth of headers to include in table of contents
`fig_width` | Default width (in inches) for figures
`fig_height` | Default width (in inches) for figures
`dev` | Graphics device to use for figure output (defaults to png)
`df_print` | Method to be used for printing data frames. Valid values include "default", "kable", "tibble", and "paged". The "default" method uses `print.data.frame`. The "kable" method uses the `knitr::kable` function. The "tibble" method uses the tibble package to print a summary of the data frame. The "paged" method creates a paginated HTML table (note that this method is only valid for formats that produce HTML). In addition to the named methods you can also pass an arbitrary function to be used for printing data frames. You can disable the df_print behavior entirely by setting the option `rmarkdown.df_print` to `FALSE`.
`includes` | Named list of additional content to include within the document (typically created using the `includes` function).
`md_extensions` | Markdown extensions to be added or removed from the default definition or R Markdown. See the `rmarkdown_format` for additional details.
`hard_line_breaks` | `TRUE` to genreate markdown that uses a simple newline to represent a line break (as opposed to two-spaces and a newline).
`pandoc_args` | Additional command line options to pass to pandoc
`html_preview` | `TRUE` to also generate an HTML file for the purpose of locally previewing what the document will look like on GitHub.

### Value

R Markdown output format to pass to `render`

[Package rmarkdown version 1.2 Index]